%define name	xine-ui
%define version	0.99.4

%define major   1
%define libname libxine%{major}
%define libvers 1

%define skindir    %{_datadir}/xine/skins
%define deskdir    %{_datadir}/xine/desktop

%define	ginstall install -c

Name:        %{name}
Summary:     A Free Audio/Video Player.
Version:     %{version}
Release:     2%{dist}
Copyright:   GPL
Group:       Applications/Multimedia
Source:      http://xinehq.de/files/%{name}-%{version}.tar.gz
Patch1:      xine-ui_0.99.3-1sarge1.diff
URL:         http://xinehq.de
Packager:    Manfred Tremmel <Manfred.Tremmel@iiv.de>
Obsoletes:   xine
Requires:    %{libname} >= %{libvers}
BuildPreReq: %{libname}-devel >= %{libvers}
BuildRoot:   %{_tmppath}/%{name}-buildroot

%description
xine is a fully-featured free audio/video player for unix-like systems which
uses libxine for audio/video decoding and playback. For more informations on
what formats are supported, please refer to the libxine documentation.

%prep
%setup -n %{name}-%{version}
%patch1 -p1

docdir=%{_docdir}
export docdir
# change for lsf conform architectures
if [ "${docdir}" = "/usr/share/doc/packages" ] ; then
   mv configure.ac configure.ac.save
   cat configure.ac.save | sed  -e "s/\${datadir}\/doc\/xine-ui/\${datadir}\/doc\/packages\/xine-ui/g" > configure.ac
fi

%build
export CFLAGS="%{optflags}"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi

# change for lsf conform architectures
if [ "${docdir}" = "/usr/share/doc/packages" ] ; then
   mv configure configure.save
   cat configure.save | sed  -e "s/\${datadir}\/doc\/xine-ui/\${datadir}\/doc\/packages\/xine-ui/g" > configure
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{?buildroot:%{buildroot}} install
echo 'Categories=Application;AudioVideo;X-Red-Hat-Base;' >> $RPM_BUILD_ROOT/%{deskdir}/xine.desktop
perl -pi -e "s|Name=xine|Name=xine Video/DVD Player|" $RPM_BUILD_ROOT/%{deskdir}/xine.desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
ln -sf %{deskdir}/xine.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/xine.desktop
DIR_HI3=$RPM_BUILD_ROOT/%{_datadir}/icons/hicolor
DIR_LO3=$RPM_BUILD_ROOT/%{_datadir}/icons/locolor
HIRES3='48x48 32x32 22x22'
LORES3='32x32 22x22 16x16'
for hires in $HIRES3; do
	mkdir -p $DIR_HI3/$hires/apps
	ln -sf %{_datadir}/pixmaps/xine_$hires.png $DIR_HI3/$hires/apps/xine.png
done
for lores in $LORES3; do
	mkdir -p $DIR_LO3/$lores/apps
	ln -sf %{_datadir}/pixmaps/xine_$lores.png $DIR_LO3/$lores/apps/xine.png
done
#mkdir -p $RPM_BUILD_ROOT/usr/share/applnk-redhat/Multimedia/
#cat $RPM_BUILD_ROOT/%{deskdir}/xine.desktop | sed -e "s/Icon=xine.xpm/Icon=xine/g" -e "s/Exec=xine/Exec=xine %U/g" > $RPM_BUILD_ROOT/usr/share/applnk-redhat/Multimedia/xine.desktop
#echo 'OnlyShowIn=GNOME;' >> $RPM_BUILD_ROOT/%{deskdir}/xine.desktop
#echo 'OnlyShowIn=KDE;' >> $RPM_BUILD_ROOT/usr/share/applnk-redhat/Multimedia/xine.desktop
#asdasda

%post
if [ "$1" = "1" ] || [ "$1" = "2" ] ; then # install or update
  if test -d %{skindir}/metal; then rm -rf %{skindir}/metal; fi
  if test -d %{skindir}/default; then rm -rf %{skindir}/default && ln -s %{skindir}/xinetic %{skindir}/default; fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/*
%doc %{_datadir}/doc/xitk/*
/usr/share/icons/hicolor/22x22/apps/xine.png
/usr/share/icons/locolor/16x16/apps/xine.png
/usr/share/icons/hicolor/32x32/apps/xine.png
/usr/share/icons/locolor/22x22/apps/xine.png
/usr/share/icons/hicolor/48x48/apps/xine.png
/usr/share/icons/locolor/32x32/apps/xine.png
%{_bindir}/*xine*
%{skindir}/*
%{deskdir}/*
%{_datadir}/pixmaps/*
%{_datadir}/xine/visuals/*
%lang(de) %{_mandir}/de/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_mandir}/man1/*
%{_datadir}/locale/*
%{_datadir}/applications/xine.desktop
%{_datadir}/xine/oxine
#/usr/share/applnk-redhat/Multimedia/xine.desktop

%changelog
* Wed Jul 21 2004 Josko Plazonic <plazonic@math.princeton.edu>
- upgrade to 0.99.2 and fix kde icon conflict with kdebase rpm

* Sun Mar 09 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Some more cleanups
- lsf patch included
* Sat Jan 11 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Some cleanups
* Fri Dec 06 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- do post and pre only when install and remove, saves entries at update
* Sat Nov 16 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- replaced cvscompile.sh with autogen.sh
* Sat Nov 09 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Final changes for libxine 1.0alpha1
* Wed Nov 06 2002 Bill Fink <billfink@mindspring.com>
- Some more changes for latest xine version
* Mon Nov 04 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Changes for next xine version
* Sun Oct 27 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update of the german descriptions.
- fixed some problems with creating kde2 and kde3 menu-entry
* Mon May 27 2002 Matthias Dahl <matthew2k@web.de>
- added passing of build parameter to configure
* Sun May 26 2002 Matthias Dahl <matthew2k@web.de>
- added more kde2 and kde3 fixes by Manfred Tremmel <Manfred.Tremmel@iiv.de>
* Sun May 20 2002 Matthias Dahl <matthew2k@web.de>
- added kde2 bugfix by Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added german description by Manfred Tremmel <Manfred.Tremmel@iiv.de>
* Sun May 20 2002 Matthias Dahl <matthew2k@web.de>
- added kde3 support by Manfred Tremmel <Manfred.Tremmel@iiv.de>
* Sat May 18 2002 Matthias Dahl <matthew2k@web.de>
- added czech translations by Frantisek Dvorak <valtri@atlas.cz>
* Thu May 16 2002 Matthias Dahl <matthew2k@web.de>
- replaced %configure because it was causing trouble on some configurations
* Sat May 11 2002 Matthias Dahl <matthew2k@web.de>
- reworked/revamped spec file, still needs some tuning (BuildPreReq, ...)
* Fri May 03 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- add xitk README file.
* Sun Mar 31 2002 Matthias Dahl <matthew2k@web.de>
- added xine-bugreport and xine-check, including their man pages.
- added german man pages and README_fi.
* Fri Dec 14 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add portuguese brazilian *.mo files: thanks to Miguel Freitas <miguel@cetuc.puc-rio.br> ;-)
* Tue Nov 27 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add spanish *.mo files: thanks to Juan Manuel Garca Molina <juanmagm@mail.com>
* Sun Nov 18 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add *.mo files
* Wed Oct 3 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- use DESTDIR for package building and add xineshot, based on patch from Andrew Meredith <andrew@anvil.org>
* Thu Sep 27 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add icons and desktop stuff from patches by Miguel Freitas <miguel@cetuc.puc-rio.br>
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Merge patch from Jos Carlos Monteiro <jcm@netcabo.pt>:
  - Filelist and other minor updates,
  - Fixed some SuSE compatibility issues,
  - Added Portuguese summary.
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add missing files.
* Thu Jul 26 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Made AA as separate package.
* Thu Jul 26 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist.
* Tue Jul 03 2001 Matthias Dahl <matthew2k@web.de>
- fixed the "no-skins-in-final-RPM-package" problem (nice explanation *grin*)
* Sun Jun 10 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist and the requirements field
- removed /sbin/ldconfig as post install script
* Thu Mar 28 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- add korean summary, patch from Louis JANG <louis@ns.mizi.com>
* Thu Jan 11 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- patch from Sung-Hyun Nam <namsh@lgic.co.kr> applied.
* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.
